Subject: Re: [mpls-tp] mpls-tp Dual stack DCN? (was MPLS over OTN)

From: Maarten Vissers <[email-masked]>
Date: Mon, 08 Sep 2008 08:08:28 +0200

Ben,

I know that MPLS-TP (previous T-MPLS) functionality is and will be combined
with SDH and OTN functionality in one equipment. This multi-technology
equipment is connected to the DCN and via the DCN to the SDH, OTN and
MPLS-TP network management systems. SDH and OTN network management systems
often talk OSI to the equipment containing SDH and OTN functionality. 

I don't know if this is the case in BT's network today, and if those network
management systems are able to talk IP as well to control SDH and OTN
functionality in newer equipment. 

If so I agree with you that also equipment containing a mix of
SDH/OTN/MPLS-TP can be controlled via IP only. 

If SDH and/or OTN functionality control still demands use of OSI, then the
equipment containing a mix of SDH/OTN/MPLS-TP must also support OSI.

We can do a survey to check if all new equipment with SDH and/or OTN
functionality and their network management systems support IP based DCN. If
so, then new equipment and new ECCs (e.g. MPLS-TP MCC, Ethernet MCC) do not
have to support OSI. Otherwise, those new ECCs still must support OSI.

Regards,
Maarten

-----Original Message-----
From: Ben Niven-Jenkins [mailto:[email-masked]] 
Sent: 15 August 2008 15:43
To: Maarten Vissers; [email-masked]; 'Adrian Farrel'
Cc: [email-masked]; [email-masked]; 'Italo Busi'
Subject: Re: [mpls-tp] mpls-tp Dual stack DCN? (was MPLS over OTN)

Maarten,

I agree that OSI is still present in many transport network elements and
therefore DCN support for OSI will be required for some DCNs.

However, does this lead to a requirement that MPLS-TP equipment *must*
support OSI?

Modern transport gear also supports IP for DCN and this is the direction
many operators are choosing to move.

So it would appear to me that the requirements placed on DCN design in
general are different to the requirements placed on the transport equipment
itself (which will be controlled via the DCN).

Let me use BT's transmission DCN as an example - we have a significant sized
DCN consisting of several thousand routers/switches (just for the
transmission DCN itself).  It supports both OSI and IP.  Therefore we are
able to accommodate new transport equipment control via IP while maintaining
control of old transport equipment via OSI.

Ben

On 15/08/2008 00:27, "Maarten Vissers" <[email-masked]> wrote:

> Do routers today only support IPv6, or are there still many of the 
> older protocols supported? I assume it is the latter case, as it is 
> difficult to switch off support for older protocols as long as its 
> original equipment is still present at some places in the network. 
> I.e. wouldn't it be in the long term economic interest of the customer 
> to migrate to IPv6 only? When do you think you can switch of support for
IPv4 and older protocols in the routers?
> 
> With OSI in the DCN we have a similar situation. It is still present 
> in many network elements and must as such be supported within the 
> existing and future DCN.
> 
> Regards,
> Maarten
> 
> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: 11 August 2008 13:52
> To: Adrian Farrel
> Cc: Maarten Vissers; 'Diego Caviglia'; 'Italo Busi'; 'Francesco 
> Fondelli'; [email-masked]; [email-masked]; 
> [email-masked]
> Subject: Re: [mpls-tp] mpls-tp Dual stack DCN? (was MPLS over OTN)
> 
> These control channels are the last vestige of OSI in modern networks 
> (apart from ISIS which is alive and well). Surely it is in the long 
> term economic interests of the customer (infrastructure equipment 
> costs, training, commonality etc)  to migrate to IP?
> 
> Stewart
>> 
> 
> 
> 
> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp

_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp